const option = {
  color: ['#20d6c9', '#3883ff', '#38ff5a'],
  tooltip: {
    trigger: 'axis',
    borderWidth: '0',
    backgroundColor: 'rgba(3, 17, 51, 0.8)',
    confine: true,
    axisPointer: {
      type: 'line', // 可选值：'line'（直线）, 'shadow'（阴影）, 'cross'（十字）
      lineStyle: {
        color: 'rgba(255, 255, 255, 0.4)',       // 线条颜色
        width: 1,            // 线条宽度
        type: 'solid',        // 线条类型：'solid', 'dashed', 'dotted'
        opacity: 0.2         // 透明度
      }
    },
    textStyle: {
      color: '#CBEDFF',
      fontSize: 16,
    },
  },
  grid: {
    left: '0',
    right: '0',
    bottom: '2%',
    top: '30%',
    containLabel: true,
  },
  legend: {
  data:['完好率','亮灯率','故障处置及时率'],
    
    top: 10,
    itemGap: 50,
    textStyle: {
      fontSize: '16px',
      color: '#E4EDFF',
    },
  },
  xAxis: [
    {
      type: 'category',
      boundaryGap: true,
      axisLine: {
        show: false,
      },
      axisLabel: {
        show: true,
        interval: 0,
        textStyle: {
          padding: [2, 0, 0, 0],
          color: '#CBEDFF',
          fontSize: 14,
        },
      },
      axisTick: {
        show: false,
      },
      axisPointer: {
        type: 'line',
      },
      data: [],
    },
  ],
  yAxis: [
    {
      type: 'value',
      min: 0,

      axisLabel: {
        show: false,
      },
      nameTextStyle: {
        align: 'left',
        color: '#CBEDFF',
        padding: [0, 0, 20, -20],
        fontSize: 16,
      },
      splitLine: {
        show: false,
      },
      axisLine: {
        show: false,
      },
      axisTick: {
        show: false,
      },
    },
  ],
  series: [],
};

export default option;
