import React from 'react';
import ModuleTitleWithTabs from '@/pages/Home_v_2504/components/common/ModuleTitleWithTabs';
import OverallSituation from './components/OverallSituation';
import LostScoreTracing from './components/LostScoreTracing';
import styles from './index.less';
import PanelTitle from '@/pages/Home_v_2504/components/common/PanelTitle';
import SignsTrend from './components/SignsTrend';
import SignsArea from './components/SignsArea';
/**
 * 整体概况页面右侧内容组件
 */
const RightContent: React.FC = () => {
  return (
    <div className={styles.container}>
      <div className={styles.header}>
        <PanelTitle title="CQI实时体征" />
      </div>
      <div className={styles.content}>
        {/* 内容区域 */}
        <div className={styles.leftContainer}>
          {/* 整体情况模块 */}
          <OverallSituation />
          <SignsTrend />
          <SignsArea />
        </div>

        <div className={styles.rightContainer}>
          {/* 失分溯源模块 */}
          <LostScoreTracing />
        </div>
      </div>
    </div>
  );
};

export default RightContent; 