import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';


// 复用首页的左侧组件
import LeftContent from '@/pages/Home_v_2504/components/LeftSidebar';
// 复用首页的RightContent
import RightContent from '@/pages/Home_v_2504/components/RightContent';

interface VideoBackStreetsProps {
  visible: boolean;
}

/**
 * 视频-背街小巷子页面
 */
const VideoBackStreets: React.FC<VideoBackStreetsProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId={INDUSTRY_PAGE_IDS.VIDEO_BACK_STREETS}
      leftComponent={LeftContent}
      rightComponent={RightContent}
      title="视频监控-背街小巷"
    />
  );
};

export default VideoBackStreets; 