import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 复用首页的左侧组件
import LeftContent from '@/pages/Home_v_2504/components/LeftSidebar';
// 复用首页的RightContent
import RightContent from '@/pages/Home_v_2504/components/RightContent';

interface VideoFarmersMarketProps {
  visible: boolean;
}

/**
 * 视频-农贸市场子页面
 */
const VideoFarmersMarket: React.FC<VideoFarmersMarketProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId={INDUSTRY_PAGE_IDS.VIDEO_FARMERS_MARKET}
      leftComponent={LeftContent}
      rightComponent={RightContent}
      title="视频监控-农贸市场"
    />
  );
};

export default VideoFarmersMarket; 