import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 复用首页的左侧组件
import LeftContent from '@/pages/Home_v_2504/components/LeftSidebar';
// 复用首页的RightContent
import RightContent from '@/pages/Home_v_2504/components/RightContent';

interface VideoKeyAreasProps {
  visible: boolean;
}

/**
 * 视频-重点区域子页面
 */
const VideoKeyAreas: React.FC<VideoKeyAreasProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId={INDUSTRY_PAGE_IDS.VIDEO_KEY_AREAS}
      leftComponent={LeftContent}
      rightComponent={RightContent}
      title="视频监控-重点区域"
    />
  );
};

export default VideoKeyAreas; 